<x-layouts.guest :title="__('Application Status')">
    <div class="max-w-2xl mx-auto mt-10">
        <div class="p-5 mb-4 dark:bg-pink-950/50 rounded-lg">
            <flux:heading size="xl">Application Status</flux:heading>
            @php
                $status = [
                    0 => 'Pending Review',
                    1 => 'Approved',
                    2 => 'Denied',
                ];
            @endphp
            <flux:text class="mt-2 text-lg">
                <p><strong>Status:</strong> {{ $status[$application->status] }}</p>
                <p><strong>Created:</strong>
                    {{ Carbon\Carbon::parse($application->created_at)->diffForHumans(['parts' => 2]) }}</p>
            </flux:text>
        </div>

        <h2 class="mt-4 font-semibold">Uploaded Files:</h2>
        <div class="flex flex-wrap gap-4 mt-4">
            @foreach ($application->uploads as $upload)
                <div>
                    <img class="h-48 w-fit object-cover rounded-2xl hover:-translate-y-1 hover:scale-110 transition duration-300 ease-in-out"
                        src="{{ asset('storage/' . $upload->file_path) }}">
                </div>
            @endforeach
        </div>
    </div>
</x-layouts.guest>
