<div class="max-w-2xl mx-auto mt-10 flex flex-col gap-6">
    @if (session()->has('message'))
        @if ($applicationUuid)
            <div class="p-5 mb-4 dark:bg-green-600/50 rounded-lg">
                <flux:heading>Your application has been submitted</flux:heading>
                <flux:text class="mt-2">
                    You can check its status here: <flux:link
                        href="{{ route('application.status', ['uuid' => $applicationUuid]) }}">View Application Status
                    </flux:link>
                </flux:text>
                <flux:text class="mt-2">
                    Please save or bookmark that link, as the approval process can take roughly 24-48 hours.
                </flux:text>
            </div>
        @endif
    @endif

    @if (!$applicationUuid)
        <form wire:submit.prevent="submit" enctype="multipart/form-data">
            <div class="mb-6">
                <div class="p-5 mb-4 dark:bg-pink-950/50 rounded-lg">
                    <flux:heading>Here you can submit your application</flux:heading>
                    <flux:text class="mt-2">
                        To apply, simply fill out the form below and upload at least one loli photo.
                        After submitting, you'll receive a unique link — make sure to save it! You can use that
                        link to check the status of your application, and if everything is approved, you'll also
                        receive
                        your registration token there.
                    </flux:text>
                </div>
                <flux:textarea wire:model="message" label="Why do you want to join?" placeholder="Cunny 😭" />
                <br>
                <flux:input type="file" wire:model="photos" label="Loli Photos (max. 8MB)" multiple />
                <div class="mt-4">
                    <div class="flex">
                        <flux:input label="Captcha" wire:model.defer="captchaInput" />
                        <img src="{{ $captcha }}" alt="captcha" wire:click="refreshCaptcha"
                            class="cursor-pointer ml-3 mt-7 h-10 rounded-lg">
                    </div>
                </div>
            </div>
            <flux:button wire:click="submit">Submit Application</flux:button>
        </form>
    @endif

    @if ($photos)
        <div class="mt-4">
            <h3 class="font-bold">Photo Preview:</h3>
            <div class="flex gap-4 mt-2">
                @foreach ($photos as $photo)
                    <img src="{{ $photo->temporaryUrl() }}" class="w-24 h-24 object-cover rounded">
                @endforeach
            </div>
        </div>
    @endif
</div>
